summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJonathan Callen <jcallen@gentoo.org>2010-12-31 21:51:41 +0000
committerJonathan Callen <jcallen@gentoo.org>2010-12-31 21:51:41 +0000
commit691459678ed5a5e82ab0a3ec502c07050147636a (patch)
treee2352246585b6199897119962310cdf27c94e97f /eclass
parentFix building with Jython. (diff)
downloadhistorical-691459678ed5a5e82ab0a3ec502c07050147636a.tar.gz
historical-691459678ed5a5e82ab0a3ec502c07050147636a.tar.bz2
historical-691459678ed5a5e82ab0a3ec502c07050147636a.zip
Fix handling of EPREFIX in python_merge_intermediate_installation_images()
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/python.eclass b/eclass/python.eclass
index e24b42560ef1..0ac20b7a76b1 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.107 2010/12/26 11:30:27 arfrever Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.108 2010/12/31 21:51:41 abcd Exp $
# @ECLASS: python.eclass
# @MAINTAINER:
@@ -1449,7 +1449,7 @@ for file in sorted(files_set):
popd > /dev/null || die "popd failed"
- cp -fr --preserve=all "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${ED}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
+ cp -fr --preserve=all "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
done
rm -fr "${intermediate_installation_images_directory}"